Skip to main content
DELETE
/
report_schedules
/
{schedule_id}
/
recipients
curl "https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/recipients?recipient=ops@methodfi.com" \
  -X DELETE \
  -H "Method-Version: 2024-04-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "reports@methodfi.com"
  ],
  "cron": "0 8 * * *",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:24:42.118Z"
}
Removes a recipient from an existing Report Schedule. Provide a recipient to remove a single email address, or omit it to clear all recipients.
All recipients can only be cleared if the schedule does not use the email delivery method. Removing email first, or keeping at least one recipient, is required.

Path Parameters

Query Parameters

Returns

Returns the updated Report Schedule object.
curl "https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/recipients?recipient=ops@methodfi.com" \
  -X DELETE \
  -H "Method-Version: 2024-04-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "types": [
    "ach.pull.nightly"
  ],
  "delivery_methods": [
    "webhook",
    "email"
  ],
  "recipients": [
    "reports@methodfi.com"
  ],
  "cron": "0 8 * * *",
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:24:42.118Z"
}